Flecs: flecs::tuple_8< T, U, V, W, X, Y, Z, A > Struct Template Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
flecs::tuple_8< T, U, V, W, X, Y, Z, A > Struct Template Reference

Tuple of 8 elements. More...

`#include <entity_component_tuple.hpp>`

## Public Attributes
T | val1
| First element.
U | val2
| Second element.
V | val3
| Third element.
W | val4
| Fourth element.
X | val5
| Fifth element.
Y | val6
| Sixth element.
Z | val7
| Seventh element.
A | val8
| Eighth element.

## Detailed Description

template<typename T, typename U, typename V, typename W, typename X, typename Y, typename Z, typename A>
struct flecs::tuple_8< T, U, V, W, X, Y, Z, A >

Tuple of 8 elements.

Definition at line 137 of file entity_component_tuple.hpp.

## Member Data Documentation

## ◆ val1

template<typename T, typename U, typename V, typename W, typename X, typename Y, typename Z, typename A>

T flecs::tuple_8< T, U, V, W, X, Y, Z, A >::val1

First element.

Definition at line 138 of file entity_component_tuple.hpp.

## ◆ val2

template<typename T, typename U, typename V, typename W, typename X, typename Y, typename Z, typename A>

U flecs::tuple_8< T, U, V, W, X, Y, Z, A >::val2

Second element.

Definition at line 139 of file entity_component_tuple.hpp.

## ◆ val3

template<typename T, typename U, typename V, typename W, typename X, typename Y, typename Z, typename A>

V flecs::tuple_8< T, U, V, W, X, Y, Z, A >::val3

Third element.

Definition at line 140 of file entity_component_tuple.hpp.

## ◆ val4

template<typename T, typename U, typename V, typename W, typename X, typename Y, typename Z, typename A>

W flecs::tuple_8< T, U, V, W, X, Y, Z, A >::val4

Fourth element.

Definition at line 141 of file entity_component_tuple.hpp.

## ◆ val5

template<typename T, typename U, typename V, typename W, typename X, typename Y, typename Z, typename A>

X flecs::tuple_8< T, U, V, W, X, Y, Z, A >::val5

Fifth element.

Definition at line 142 of file entity_component_tuple.hpp.

## ◆ val6

template<typename T, typename U, typename V, typename W, typename X, typename Y, typename Z, typename A>

Y flecs::tuple_8< T, U, V, W, X, Y, Z, A >::val6

Sixth element.

Definition at line 143 of file entity_component_tuple.hpp.

## ◆ val7

template<typename T, typename U, typename V, typename W, typename X, typename Y, typename Z, typename A>

Z flecs::tuple_8< T, U, V, W, X, Y, Z, A >::val7

Seventh element.

Definition at line 144 of file entity_component_tuple.hpp.

## ◆ val8

template<typename T, typename U, typename V, typename W, typename X, typename Y, typename Z, typename A>

A flecs::tuple_8< T, U, V, W, X, Y, Z, A >::val8

Eighth element.

Definition at line 145 of file entity_component_tuple.hpp.

The documentation for this struct was generated from the following file:

- include/flecs/addons/cpp/entity_component_tuple.hpp